Bug 850043 - Introduce new systemd-rpm macros in bcfg2 spec file
Introduce new systemd-rpm macros in bcfg2 spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bcfg2 (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:26 EDT by Lukáš Nykrýn
Modified: 2012-12-20 10:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:06:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch adds systemd macros with condition for F18 and RHEL7 (1.37 KB, patch)
2012-08-27 11:02 EDT, Václav Pavlín
no flags Details | Diff
Patch adds systemd macros with condition for F18 and RHEL7 (4.74 KB, patch)
2012-09-05 02:12 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:26:40 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-08-27 11:02:22 EDT
Created attachment 607227 [details]
Patch adds systemd macros with condition for F18 and RHEL7

With respect to structure of your spec file I guess you keep only one for all versions. So I put new macros to conditions for F18+...I hope you'll be ok with this.
Comment 2 Fabian Affolter 2012-09-02 15:01:49 EDT
It seams that you attached the wrong patch.
Comment 3 Václav Pavlín 2012-09-05 02:12:01 EDT
Created attachment 609874 [details]
Patch adds systemd macros with condition for F18 and RHEL7

Sorry, this is the right one.
Comment 4 Fedora Update System 2012-10-21 14:10:04 EDT
bcfg2-1.2.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bcfg2-1.2.3-3.fc18
Comment 5 Fedora Update System 2012-10-22 12:56:55 EDT
Package bcfg2-1.2.3-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bcfg2-1.2.3-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16648/bcfg2-1.2.3-3.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 10:06:28 EST
bcfg2-1.2.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.